Cancel payment request
curl --request POST \
--url https://api.natural.com/payment-requests/{paymentRequestId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '{}'import requests
url = "https://api.natural.com/payment-requests/{paymentRequestId}/cancel"
payload = {}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.natural.com/payment-requests/{paymentRequestId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "paymentRequest",
"id": "prq_019cd1798d7a68fe07c972bed48fb7fd",
"attributes": {
"amount": 2500,
"currency": "USD",
"fee": null,
"status": "CANCELED",
"payerCanPay": false,
"payerCanDecline": false,
"requesterName": "Acme Payments",
"requesterEmail": "billing@acmepayments.com",
"requesterAvatarUrl": "https://ntl-public-assets-prod.s3.us-west-2.amazonaws.com/party-avatars/pty_019cd1798d617f65a79cb965dda9eac3/2026-01-04_ab12cd34ef56ab90.webp",
"requesterHandle": "@acme",
"walletName": "Operating",
"description": "Invoice 7",
"tags": {
"invoice_id": "inv_7"
},
"payerName": "Ada Lovelace",
"payerEmail": "ada@example.com",
"payerPhone": "+14155550100",
"payerAvatarUrl": "https://static.natural.com/avatars/ada-lovelace.png",
"payerHandle": "@ada-lovelace",
"payerPartyId": "pty_019cd1798d681091fcf1dc98afb72d01",
"payerIdentifierType": "email",
"payerIdentifier": "ada@example.com",
"initiatorParty": {
"id": "pty_019cd1798d617f65a79cb965dda9eac3",
"name": "Acme Payments",
"handle": "@acme"
},
"paymentLinkUrl": "https://www.natural.com/pay/token_123",
"transactionId": null,
"expiresAt": null,
"createdAt": "2026-04-15T00:00:00.000Z",
"updatedAt": "2026-04-15T00:05:00.000Z"
},
"relationships": {
"initiatorAgent": {
"data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
}
},
"requesterParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"payerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d681091fcf1dc98afb72d01"
}
},
"payerAgent": {
"data": null
},
"payment": {
"data": null
}
}
}
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "400",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "unauthenticated",
"detail": "Authentication is required.",
"status": "401",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "forbidden",
"detail": "You do not have permission to perform this action.",
"status": "403",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The requested resource was not found.",
"status": "404",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "conflict",
"detail": "The request conflicts with the current resource state.",
"status": "409",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "invalid_value",
"detail": "Too big: expected string to have <=80 characters",
"status": "422",
"source": {
"pointer": "/data/attributes/description"
},
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "mfa_required",
"detail": "MFA verification required",
"status": "428",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "rate_limited",
"detail": "Too many requests. Please try again later.",
"status": "429",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "server_error",
"detail": "Something went wrong.",
"status": "500",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_implemented",
"detail": "This operation is not available.",
"status": "501",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "bad_gateway",
"detail": "We couldn't complete that request because one of Natural's services returned an unexpected response. Please try again.",
"status": "502",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "service_unavailable",
"detail": "The service is temporarily unavailable.",
"status": "503",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}Payment Requests
Cancel payment request
Cancel an open outgoing payment request
POST
/
payment-requests
/
{paymentRequestId}
/
cancel
Cancel payment request
Authorizations
Bearer authentication: send your API key, agent key, or OAuth access token as Authorization: Bearer <credential>.
Headers
Unique key for safely retrying a request without creating duplicates.
Maximum string length:
255Caller-chosen identifier for the agent run, session, or conversation, required when an agent moves money.
Maximum string length:
1024Path Parameters
Payment request ID (prq_*).
Pattern:
^prq_[0-9a-f]{32}$Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?